///////////////////////////////////////////////////////////////////////////////
/**
 * @file 	tcplib.h
 * @author	Cal(it)2
 *
 * @verbatim
 * CAL(IT)2 CONTROL INFORMATION
 *
 * Copyright ©2011, The Regents of the University of California
 * All Rights Reserve
 * See UCSD-license.h for more information
 *
 * Project Name:    APCO-P25 Linux Implementation
 *
 * Change History:
 * 		Rev Date        	Author              Description of Change
 * @endverbatim
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef _P25_COMM_TCP_LIB_H
#define _P25_COMM_TCP_LIB_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief Initiates TCP protocol server.
 */
int start_tcp_server(int);
/**
 * @brief Gets TCP protocol server.
 */
int get_tcp_server_connection(int);
/**
 * @brief Closes TCP protocol server.
 */
int close_tcp_server_connection(int);
/**
 * @brief Stops the TCP protocol server.
 */
void stop_tcp_server(int);
/**
 * @brief Reads data on server side.
 */
int read_tcp_server_stream(int, char *, int);
/**
 * @brief Initiates TCP protocol client.
 */
int start_tcp_client(char *, int);
/** 
 * @brief Stops TCP protocol client.
 */
int stop_tcp_client(int);
/**
 * @brief Sends data on client side.
 */
int send_tcp_client_data(int, char *, int);

#ifdef __cplusplus
}
#endif

#endif
