///////////////////////////////////////////////////////////////////////////////
/**
 * @file 	bit_stream.h
 *
 * @author	Cal(it)2
 *
 * @verbatim
 * CAL(IT)2 CONTROL INFORMATION
 *
 * Copyright ©2009, The Regents of the University of California
 * All Rights Reserve
 * See UCSD-license.h for more information
 *
 * Project Name:    APCO-P25 Linux Implementation
 *
 * Change History:
 * 		Rev Date        	Author              Description of Change
 * @endverbatim
 */
///////////////////////////////////////////////////////////////////////////////

#ifndef _P25_FORMAT_BIT_STREAM_H
#define _P25_FORMAT_BIT_STREAM_H

/** @brief Reads bits from DSP. */
int bs_input(char *bits, unsigned int n);
/** @brief Writes bits to DSP. */
int bs_output(char *bits, unsigned int n);
/** @brief Flush the remaining bits in the bit stream to DSP. */
void bs_output_flush(void);
/** @brief Flush the remaining bits in the bit stream from DSP. */
void bs_input_flush(void);

/** @brief Initialize bit stream. */
int bs_init(void);
/** @brief Close bit stream. */
void bs_exit(void);

#endif
