///////////////////////////////////////////////////////////////////////////////
/**
 * @file 	bs_packet.h
 * @author	Cal(it)2
 *
 * @verbatim
 * CAL(IT)2 CONTROL INFORMATION
 *
 * Copyright ©2011, The Regents of the University of California
 * All Rights Reserve
 * See UCSD-license.h for more information
 *
 * Project Name:    APCO-P25 Linux Implementation
 *
 * Change History:
 * 		Rev Date        	Author              Description of Change
 * @endverbatim
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef _P25_FORMAT_BS_PACKET_H
#define _P25_FORMAT_BS_PACKET_H 


#define BLOB_LEN		60
#define BLOB_LEN8		BLOB_LEN*8
#define FIFO_LEN8		BLOB_LEN8*2

/** @brief header for packet containing data. */
#define BS_PKT_DATA		0x00DD
/** @brief Header for last packet. */
#define BS_PKT_LAST		0x00EE

/** @brief Bit stream packet format. */
struct bs_packet {
	short hdr;
	short blen;
	char data[BLOB_LEN];
};

#endif
