///////////////////////////////////////////////////////////////////////////////
/**
 * @file 	filter.hpp
 * @author	Cal(it)2
 *
 * @verbatim
 * CAL(IT)2 CONTROL INFORMATION
 *
 * Copyright ©2011, The Regents of the University of California
 * All Rights Reserve
 * See UCSD-license.h for more information
 *
 * Project Name:    APCO-P25 Linux Implementation
 *
 * Change History:
 * 		Rev Date        	Author              Description of Change
 * @endverbatim
 */
////////////////////////////////////////////////////////////////////////////////

#ifndef _FILTER_H
#define _FILTER_H

namespace libdsp{


struct fir {
	int order;
	int *coef;
	int *regs;
};

struct fir *fir_alloc(int *coef, int n);
void fir_free(struct fir *f);
void fir_reset(struct fir *f);
int fir_seq(struct fir *f, int x);

}

#endif
