#!/bin/bash
# dsp_loopback.sh:  USRP P25 Demo startup script (GPP1->DSP1->DSP2->GPP2 Loopback Test Mode)
#                   Authors:  Jeffrey Cuenco   (jcuenco@ucsd.edu)
#                             Anthony Nwokafor (aanwokafor@ucsd.edu)
#
#                   Script last modified 04/22/2011
#

RUN_DIR=run
MPATH=../..
JAVA_GUI=../$MPATH/java_audio/p25_client/dist/p25_client.jar
RADIO_GPP=$MPATH/bin/packetizer
RADIO_DSP=$MPATH/bin/baseband

VC55_SERIAL_PORT=/dev/ttyUSB0

# Filetest mode = 1, Live mode (VC55) = 2
GPP_MODE=1

# Radio 1 settings
VC_INPUT1=$VC55_SERIAL_PORT
VC_OUTPUT1=/dev/null
if [ $GPP_MODE == "1" ]
then
    VC_INPUT1=testfile1_tx.dat
    VC_OUTPUT1=testfile1_rx.dat
fi

# Radio 2 settings
VC_INPUT2=/dev/null
VC_OUTPUT2=/dev/null
if [ $GPP_MODE == "1" ]
then
    VC_INPUT2=testfile2_tx.dat
    VC_OUTPUT2=testfile2_rx.dat
fi


killall xterm 
killall `basename $RADIO_GPP` `basename $RADIO_DSP`

DSP0_DSP1_FIFO=DSP0_DSP1_FIFO
DSP1_DSP0_FIFO=DSP1_DSP0_FIFO

if [ ! -d $RUN_DIR ]
then
	mkdir -p $RUN_DIR
fi

cd $RUN_DIR

if [ ! -p $DSP0_DSP1_FIFO ] 
then
	mkfifo $DSP0_DSP1_FIFO
fi

if [ ! -p $DSP1_DSP0_FIFO ] 
then
	mkfifo $DSP1_DSP0_FIFO
fi

echo -n "Starting radio1 ..."
#xterm -hold -e "$RADIO_GPP $VC_INPUT1 $VC_OUTPUT1 8002 dsp0_gpp0_sock gpp0_dsp0_sock c1sock $GPP_MODE > radio1_log" &
xterm -hold -e "$RADIO_GPP $VC_INPUT1 $VC_OUTPUT1 8002 dsp0_gpp0_sock gpp0_dsp0_sock c1sock $GPP_MODE" &
xterm -hold -e "$RADIO_DSP gpp0_dsp0_sock dsp0_gpp0_sock $DSP0_DSP1_FIFO $DSP1_DSP0_FIFO dsp_cntrl_sock" &
java -jar $JAVA_GUI &

sleep 3

echo -n "Starting radio2 ..."
#xterm -hold -e "$RADIO_GPP $VC_INPUT2 $VC_OUTPUT2 8004 dsp1_gpp1_sock gpp1_dsp1_sock c2sock $GPP_MODE > radio2_log" &
xterm -hold -e "$RADIO_GPP $VC_INPUT2 $VC_OUTPUT2 8004 dsp1_gpp1_sock gpp1_dsp1_sock c2sock $GPP_MODE" &
xterm -hold -e "$RADIO_DSP gpp1_dsp1_sock dsp1_gpp1_sock $DSP1_DSP0_FIFO $DSP0_DSP1_FIFO dsp_cntrl_sock" &
java -jar $JAVA_GUI &

