/******************************************************************************
     Name:  cyclic.c
   Author:  Anthony Nwokafor
     Date:  6/24/09
  History:  6/24/09  New
This module contains three functions:
    cyclic_16_8_encode ( word )    encodes (16, 8, 5) shortened Cyclic code
    cyclic_16_8_decode ( word )    decodes (23,12,7 ) shortened Cyclic code
The encode function returns a long int value that is 16 bits long
The decode function returns an int value that is 8 bits long
******************************************************************************/
#include <stdio.h>

#include "p25/ecc/cyclic.h"

int cyclic_16_8_encode(char msg)
{	
	return enc_table[((int)msg)&0xff];
}

char cyclic_16_8_decode(int cw)
{
	int i,j,tmp;
	int syn = 0;
	int err = 0;
	int bit_msk = 0x8000;

	for (i=0;i<HX_LEN;i++) {
		bit_msk = 0x8000;
		tmp=cw&Hx[i];
		for (j=1;j<=16;j++) {
			syn^=(tmp&bit_msk) >> (16-j);
			bit_msk>>=1;
		}
		if (i+1 < HX_LEN) { syn<<=1; }
	}

	if (syn > 0) {
		//printf("Error detected.... Attempting to correct\n");
		err = dec_table[syn];
	} else {
		//printf("No error detected\n");
	}

	return (char)((cw ^ err) >> (N-K));
}
