#!/bin/bash

# Expects an IP address as the single only argument

#IP=172.19.115.27
#IP=10.10.10.15

UTARGET=RELEASE
LTARGET=$(echo ${UTARGET} | tr "[A-Z]" "[a-z]")

function do_compile {
	omap_build.sh arm_ambe gpp ${LTARGET}
	sleep 2
	omap_build.sh dsp_ambe dsp ${LTARGET}
}

function do_install {
	scp -p /opt/bin/gpp/BUILD/ARM_AMBE/BIN/${UTARGET}/arm_ambe 	\
	/opt/bin/dsp/BUILD/OMAP3530_0/DSP_AMBE/BIN/${UTARGET}/dsp_ambe.out  $1:
}

function Usage {
	echo -e "\nUsage: `basename $0` target [target...]\n"
	echo -n
	exit
}

if [ $# -ge 1 ] 
then
	do_compile
	for i in "$@"
	do
		do_install $i
	done
else
	Usage
fi
