#ifndef _TICK_TOCK_H
#define _TICK_TOCK_H

// tick-tock timer macros
#include <sys/time.h>

#define TICK() static struct timeval tp1, tp2; gettimeofday(&tp1, NULL); 

#define TICK1() gettimeofday(&tp1, NULL); 

#define _TOCK(fmt, thresh)      {                          \
        long mtime, secs, usecs;                           \
        gettimeofday(&tp2, NULL);                          \
        secs = tp2.tv_sec - tp1.tv_sec;                    \
        usecs = tp2.tv_usec - tp1.tv_usec;                 \
        mtime = ((secs) * 1000 + usecs/1000.0) + 0.5;      \
        if (mtime > thresh)                                \
                INFO("%s time:  %ld ms.\n", fmt, mtime);   \
}

#define TOCK(fmt) _TOCK(fmt, 0)

#endif
