/**
 * ============================================================================
 * @file	dprintf_p.h
 * @brief	This file contains configurable parameters for real time print outs
 * 			from DSP using dprintf.
 * @note	none.
 *
 * @author	DVSI
 * @author	Cal(it)2
 * @author	Anthony Nwokafor <aanwokafor@ucsd.edu>
 *
 * @verbatim
 * CAL(IT)2 CONTROL INFORMATION
 *
 * Copyright ©2009-2011, The Regents of the University of California
 * All Rights Reserved
 * See UCSD-license.h for more information
 *
 * Project Name:    APCO-P25 Linux Implementation
 * @endverbatim
 * ============================================================================
 */

#ifndef DPRINTF_P_H
#define DPRINTF_P_H

/**
 * ----------------------------------------------------------------------------
 * @name   	DPRINTF_IPS_ID
 * @brief   Id used by DSP Bios Link NOTIFY mechanisms
 * ----------------------------------------------------------------------------
 */
#define DPRINTF_IPS_ID		0

/**
 * ----------------------------------------------------------------------------
 * @name   	DPRINTF_IPS_EVENTNO
 * @brief   Event No used by DSP Bios Link NOTIFY mechanisms
 * ----------------------------------------------------------------------------
 */
#define DPRINTF_IPS_EVENTNO	6

/**
 * ----------------------------------------------------------------------------
 * @name   	DPRINTF_BUFFERSZ
 * @brief   dprintf Buffer size
 * ----------------------------------------------------------------------------
 */
#define	DPRINTF_BUFFERSZ	512

#endif //DPRINTF_P_H

