#!/bin/sh

# Path to Dev folder
export DEVPATH=$HOME/dev/omap

source $DEVPATH/dsplink/etc/host/scripts/Linux/dsplinkenv.bash
source $DEVPATH/scripts/env.sh

# Path to arm tools relative to Dev folder
export PATH="$PATH:$DEVPATH/armv7a/bin"

#DSPLINK should be defined in dsplinkenv.bash
perl $DSPLINK/config/bin/dsplinkcfg.pl --platform=OMAP3530 --nodsp=1 \
        --dspcfg_0=OMAP3530SHMEM --dspos_0=DSPBIOS5XX --DspTskMode=1 \
        --gppos=OMAPLSP --comps=ponslrmc \
	--gpp_temp=/opt/bin/gpp --dsp0_temp=/opt/bin/dsp


# Build the gpp samples
function do_gpp_compile {
source $DEVPATH/scripts/gpp_env.sh
cd $DSPLINK/gpp/src/$1 && make \
	BASE_TOOLCHAIN=$BASE_TOOLCHAIN \
	BASE_CGTOOLS=$BASE_CGTOOLS \
	OSINC_PLATFORM=$OSINC_PLATFORM \
	OSINC_TARGET=$OSINC_TARGET \
	CROSS_COMPILE=$CROSS_COMPILE \
	CC=$CC \
	AR=$AR \
	LS=$LD \
	COMPILER=$COMPILER \
	ARCHIVER=$ARCHIVER \
	KERNEL_DIR=$KERNEL_DIR \
	$2	
}

# Build the dsp samples (debug and release)
function do_dsp_compile {
source $DEVPATH/scripts/dsp_env.sh
cd $DSPLINK/dsp/src/$1 && make \
	BASE_CGTOOLS=$BASE_CGTOOLS \
	BASE_SABIOS=$BASE_SABIOS \
	XDCTOOLS_DIR=$XDCTOOLS_DIR \
	$2 
}

do_gpp_compile . clean
do_gpp_compile . clobber
do_gpp_compile api all
do_gpp_compile . all

do_dsp_compile clean
do_dsp_compile clobber
do_dsp_compile . all
